
Foreman - Bug #14529

Disabled buttons in drop down menu do not render as disabled

04/07/2016 09:38 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3403

  

Description

It's because twitter only accepts "disabled" class on <li> items and we set it on <a> tags. We could refactor our select_action_button

code but since tags are self-contained in Rails and we pass array of elements already htmlized, it's easier to do this via CSS:

.dropdown-menu > li > a.disabled {

  color:#aaa !important;

}

Related issues:

Related to Discovery - Bug #14527: Edit buttons should not be visible to disc... Closed 04/07/2016

History

#1 - 04/07/2016 09:38 AM - Lukas Zapletal

- Related to Bug #14527: Edit buttons should not be visible to discovery_reader role added

#2 - 04/07/2016 09:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3403 added

#3 - 04/14/2016 09:09 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

PR was closed, perhaps not a bug.
